it-swarm.com.de

Fehler beim Upgrade von 2.9.2 auf 3.0.1

Ich habe mein wordpress unter svn installiert. Ich war auf Version 2.9.2. Dies waren die Schritte, die ich unternahm:

  • speicherte eine Kopie meines aktuellen WordPress-Verzeichnisses
  • cD in mein oberstes WordPress-Verzeichnis
  • svn up (nur um sicherzustellen, dass ich die neueste Version von 2.9 habe)
  • svn sw http://core.svn.wordpress.org/tags/3.0.1/ . (Upgrade)
  • führen Sie wp-admin/upgrade.php aus
  • habe diesen Fehler "Schwerwiegender Fehler: Aufruf der undefinierten Funktion is_multisite () in (meinem Installationsverzeichnis) /wordpress/wp-includes/wp-db.php in Zeile 505"

Ich habe mich umgesehen und einige Leute denken, dass es ein Speicherproblem mit PHP ist. Also habe ich das Memory Bump Plugin ausprobiert und das hat nicht funktioniert.

Irgendwelche Ideen?

Update: Diesen Beitrag gefunden . Habe den neuesten 3.0-Teer heruntergeladen und meine wp-settings.php mit der im Download überschrieben.

Holen Sie sich jetzt verschiedene Fehler. "Schwerwiegender Fehler: Kann wp_load_image () (zuvor deklariert in /myinstalldir/wordpress/wp-includes/media.php:241) in/ myinstalldir nicht erneut deklarieren ) /wordpress/wp-admin/includes/image.php in Zeile 168 "

Wenn ich und svn status durchführe, sehe ich viele 'S'-Flags (umgeschaltet). Muss ich mich darum kümmern? wp-settings.php hat dieses Flag.

Update: Hier ist die Ausgabe des obigen svn sw aus dem Wordpress-Stammverzeichnis.

Update: Ausgabe von svn sthier . (Die langen Listings auf Pastebin migriert)

Update: Ausgabe von svn info

Path: .
URL: http://core.svn.wordpress.org/tags/3.0.1
Repository Root: http://core.svn.wordpress.org
Repository UUID: 1a063a9b-81f0-0310-95a4-ce76da25c4cd
Revision: 15559
Node Kind: directory
Schedule: normal
Last Changed Author: ryan
Last Changed Rev: 13165
Last Changed Date: 2010-02-15 09:38:59 -0800 (Mon, 15 Feb 2010)
1
milesmeow

Ich habe vorher auch SVN verwendet, um meine WordPress-Installation zu aktualisieren. Up the Working Copied wird sehr schnell mit allen manuellen Updates oder von Plugins erstellten Dateien durcheinander gebracht.

Ich würde immer empfehlen, die Update-Funktionalität von WordPress zu verwenden, wenn Sie nur von einer getaggten Version zu einer anderen wechseln möchten.

Obwohl ich SVN auch für eine lokale Kopie von WordPress verwende, um meine Plugins in einer alten Version sehr schnell testen zu können. Ich verwende Eclipse, um von einem zu einem anderen Tag zu wechseln, und bis jetzt hat es geklappt. Aber du wirst es nie erfahren.

UPDATE: Ich habe gerade versucht, einen sauberen Checkout von 2.9.2 auf 3.0.1 umzustellen, der so aussieht, als würde er funktionieren, aber ich kann nur sehen das Backend und nicht das Frontend des Standard-Blogs.

UPDATE: Was mir selbst der Debug-Modus nicht sagt: Als Standard-Theme vor WP 3.0 ist es nicht mehr verfügbar Ich muss nur zum neuen Thema "2010" wechseln. Jetzt funktioniert alles.

Das Wechseln funktioniert, aber wie ich bereits sagte, ist Ihre Arbeitskopie normalerweise mit vielen Dateien voll, was zu Problemen beim Aktualisieren Ihrer WP - Kopie mit dem SVN-Schalter führen kann.

2
2ndkauboy

Klingt so, als hätten Sie svn sw in einem Unterverzeichnis und nicht im WordPress-Verzeichnis der obersten Ebene ausgeführt. Wir sind möglicherweise in der Lage, Ihnen bei der Wiederherstellung zu helfen, wenn Sie nicht einfach eine saubere Kopie auschecken und Ihre Plugins und Designs durchgehen können. Die vollständige Ausgabe von svn st wäre hilfreich, ebenso wie svn info für jedes Verzeichnis, das unabhängig von seinem übergeordneten Verzeichnis möglicherweise gewechselt wurde.

0